#ifndef PW_VISUAL_MESH_RENDERER_HPP
#define PW_VISUAL_MESH_RENDERER_HPP

#include <pw/core/matrix.hpp>
#include <pw/core/mesh.hpp>

#include <map>

namespace pw {

class vertex_array {
public:
	vertex_array();
	vertex_array(const mesh& m);

	~vertex_array();

	bool ready() const;

	void create(const mesh &m);
	void destroy();

	void draw();

protected:

	struct impl;
	std::unique_ptr<impl> _impl;

};

}

#endif
